Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008654 [DCSS] Bug Report minor always 2014-06-07 07:02 2014-07-21 17:38
Reporter josh View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0008654: Cannot sacrifice corpse on altar
Description Now that corpses cannot be picked up, it's not possible to sacrifice a corpse sitting on an altar. Hitting 'p' always brings up the altar instead. Previously, that could be worked around by picking up the corpse, taking it off the altar, dropping it, and sacrificing it; however, that's no longer possible now, and it was always just a workaround anyway.

I'd suggest making 'p' on a square with both an altar and a corpse prompt for which one to act on.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0008670closedneil Cannot sacrifice corpse on altar 

-  Notes
(0026807)
neil (administrator)
2014-07-21 17:38

Fixed in trunk (0.15-a0-1816-gf986df7), thanks! Now if you say no to the god pitch, it proceeds with a sacrifice to your current god.

- Issue History
Date Modified Username Field Change
2014-06-07 07:02 josh New Issue
2014-06-07 20:25 Reaver Severity major => minor
2014-06-10 05:03 neil Relationship added has duplicate 0008670
2014-07-21 17:38 neil Note Added: 0026807
2014-07-21 17:38 neil Status new => resolved
2014-07-21 17:38 neil Fixed in Branch => 0.15 development branch
2014-07-21 17:38 neil Resolution open => done
2014-07-21 17:38 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker